## org.eclipse.jetty.client.security
Class ProxyAuthorization

    java.lang.Object
      org.eclipse.jetty.client.security.ProxyAuthorization

All Implemented Interfaces:
  Authentication

    public class ProxyAuthorization

extends Object
implements Authentication

Sets proxy authentication headers for BASIC authentication challenges

Constructor Summary
`ProxyAuthorization(String username, String password)`

Method Summary
`void` `setCredentials(HttpExchange exchange)` BASIC proxy authentication is of the form encoded credentials are of the form: username:password

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyAuthorization

    public ProxyAuthorization(String username,
                              String password)
                       throws IOException

Throws:
  `IOException`

Method Detail

### setCredentials

    public void setCredentials(HttpExchange exchange)
                        throws IOException

  BASIC proxy authentication is of the form encoded credentials are of the form: username:password

  Specified by:
    `setCredentials` in interface `Authentication`
  Throws:
    `IOException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.